Index: osgVisual/CMakeLists.txt
===================================================================
--- osgVisual/CMakeLists.txt	(revision 87)
+++ osgVisual/CMakeLists.txt	(revision 88)
@@ -95,5 +95,44 @@
 	ENDIF(USE_SKY_SILVERLINING)
 ENDIF(WIN32)
-
+IF(CMAKE_COMPILER_IS_GNUCC)
+	
+	SET(USE_SKY_SILVERLINING ON CACHE BOOL "Enable to use Sundog-soft's Silverlining SDK for sky & weather")
+	IF(USE_SKY_SILVERLINING )
+		SET(SOURCES
+			${SOURCES}
+			include/sky_Silverlining/skySilverLining_AtmosphereReference.h
+			include/sky_Silverlining/skySilverlining_cloudLayerSlot.h
+			include/sky_Silverlining/skySilverLining_cloudsDrawable.h
+			include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h
+			include/sky_Silverlining/skySilverLining_skyDrawable.h
+			include/sky_Silverlining/visual_skySilverLining.h
+			src/sky_Silverlining/skySilverLining_cloudsDrawable.cpp
+			src/sky_Silverlining/skySilverLining_skyDrawable.cpp
+			src/sky_Silverlining/visual_skySilverLining.cpp			
+		)
+		
+		IF (DESTINATION_ARCH STREQUAL "x86")
+			SET(SILVERLINING_ARCH "win32")
+		ELSEIF ( DESTINATION_ARCH STREQUAL "x64" )
+			SET(SILVERLINING_ARCH "x64")
+		ENDIF ()
+		SET(SILVERLINING_LIBRARY_RELEASE $ENV{SILVERLINING_PATH}\\lib\\vc9\\${SILVERLINING_ARCH}\\SilverLining-MT-DLL.lib CACHE FILEPATH "Select the release library of Sundog-Soft's Silverlining SDK to link against." )
+		SET(SILVERLINING_LIBRARY_DEBUG $ENV{SILVERLINING_PATH}\\lib\\vc9\\${SILVERLINING_ARCH}\\SilverLining-MTD-DLL.lib CACHE FILEPATH "Select the debug library of Sundog-Soft's Silverlining SDK to link against." )
+		SET(SILVERLINING_INCLUDE_DIR "$ENV{SILVERLINING_PATH}\\Public Headers" CACHE PATH "Enter the path to the the public Include directory of Sundog-Soft's Silverlining SDK" )
+		SET(SILVERLINING_LICENSEE "Your user name" CACHE STRING "Enter your Silverlining licensee name. If you license available, osgVisual will work with silverlining as 5 minute demo with the default value." )
+		SET(SILVERLINING_LICENSE "Your license code" CACHE STRING "Enter your Silverlining license key. If you license available, osgVisual will work with silverlining as 5 minute demo with the default value." )
+		INCLUDE_DIRECTORIES(${SILVERLINING_INCLUDE_DIR} include/sky_Silverlining)
+		ADD_DEFINITIONS( "-DUSE_SKY_SILVERLINING" )
+		ADD_DEFINITIONS( "-DSILVERLINING_LICENSEE=\"${SILVERLINING_LICENSEE}\"" )
+		ADD_DEFINITIONS( "-DSILVERLINING_LICENSE=\"${SILVERLINING_LICENSE}\"" )
+		
+	ELSE(USE_SKY_SILVERLINING)
+		UNSET(SILVERLINING_LIBRARY_RELEASE CACHE)
+		UNSET(SILVERLINING_LIBRARY_DEBUG CACHE)
+		UNSET(SILVERLINING_INCLUDE_DIR CACHE)
+		UNSET(SILVERLINING_LICENSEE)
+		UNSET(SILVERLINING_LICENSE)
+	ENDIF(USE_SKY_SILVERLINING)
+ENDIF()
 
 # Module distortion
Index: osgVisual/include/cluster/dataIO_cluster.h
===================================================================
--- osgVisual/include/cluster/dataIO_cluster.h	(revision 87)
+++ osgVisual/include/cluster/dataIO_cluster.h	(revision 88)
@@ -37,4 +37,5 @@
 class dataIO_cluster :	public osg::Referenced
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/cluster/dataIO_clusterENet.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterENet.h	(revision 87)
+++ osgVisual/include/cluster/dataIO_clusterENet.h	(revision 88)
@@ -39,4 +39,5 @@
 class dataIO_clusterENet :	public dataIO_cluster
 {
+	#include <leakDetection.h>
 public:
 	dataIO_clusterENet();
Index: osgVisual/include/cluster/dataIO_clusterENet_implementation.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterENet_implementation.h	(revision 87)
+++ osgVisual/include/cluster/dataIO_clusterENet_implementation.h	(revision 88)
@@ -38,4 +38,5 @@
 class dataIO_clusterENet_implementation :	public osg::Referenced
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/core/leakDetection.h
===================================================================
--- osgVisual/include/core/leakDetection.h	(revision 87)
+++ osgVisual/include/core/leakDetection.h	(revision 88)
Index: osgVisual/include/core/visual_core.h
===================================================================
--- osgVisual/include/core/visual_core.h	(revision 87)
+++ osgVisual/include/core/visual_core.h	(revision 88)
@@ -92,4 +92,6 @@
 class visual_core : public osg::Referenced
 {
+	#include <leakDetection.h>
+
 public:
 	visual_core(osg::ArgumentParser& arguments_);
Index: osgVisual/include/dataIO/dataIO_executer.h
===================================================================
--- osgVisual/include/dataIO/dataIO_executer.h	(revision 87)
+++ osgVisual/include/dataIO/dataIO_executer.h	(revision 88)
@@ -27,4 +27,5 @@
 class dataIO_executer : public osg::Node
 {
+	#include <leakDetection.h>
 public:
 	dataIO_executer() {id=DO_NOTHING;}
Index: osgVisual/include/dataIO/dataIO_slot.h
===================================================================
--- osgVisual/include/dataIO/dataIO_slot.h	(revision 87)
+++ osgVisual/include/dataIO/dataIO_slot.h	(revision 88)
@@ -28,4 +28,5 @@
 class dataIO_slot : public osg::Object
 {
+	#include <leakDetection.h>
 public:
 	META_Object(osgVisual,dataIO_slot);
Index: osgVisual/include/dataIO/dataIO_transportContainer.h
===================================================================
--- osgVisual/include/dataIO/dataIO_transportContainer.h	(revision 87)
+++ osgVisual/include/dataIO/dataIO_transportContainer.h	(revision 88)
@@ -29,4 +29,5 @@
 class dataIO_transportContainer : public osg::Object
 {
+	#include <leakDetection.h>
 public:
 	META_Object(osgVisual,dataIO_transportContainer);	// Required for serializer
Index: osgVisual/include/dataIO/visual_dataIO.h
===================================================================
--- osgVisual/include/dataIO/visual_dataIO.h	(revision 87)
+++ osgVisual/include/dataIO/visual_dataIO.h	(revision 88)
@@ -65,4 +65,5 @@
 class visual_dataIO : public osg::Referenced
 {
+	#include <leakDetection.h>
 private:
 	class dataIO_eventCallback : public osg::NodeCallback
Index: osgVisual/include/distortion/visual_distortion.h
===================================================================
--- osgVisual/include/distortion/visual_distortion.h	(revision 87)
+++ osgVisual/include/distortion/visual_distortion.h	(revision 88)
@@ -54,4 +54,5 @@
 class visual_distortion : public osg::Node
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/draw2D/visual_debug_hud.h
===================================================================
--- osgVisual/include/draw2D/visual_debug_hud.h	(revision 87)
+++ osgVisual/include/draw2D/visual_debug_hud.h	(revision 88)
@@ -38,4 +38,5 @@
 class visual_debug_hud : public osg::Geode
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/draw2D/visual_draw2D.h
===================================================================
--- osgVisual/include/draw2D/visual_draw2D.h	(revision 87)
+++ osgVisual/include/draw2D/visual_draw2D.h	(revision 88)
@@ -29,4 +29,5 @@
 namespace osgVisual
 {
+	#include <leakDetection.h>
 
 /**
Index: osgVisual/include/draw2D/visual_hud.h
===================================================================
--- osgVisual/include/draw2D/visual_hud.h	(revision 87)
+++ osgVisual/include/draw2D/visual_hud.h	(revision 88)
@@ -34,4 +34,5 @@
 class visual_hud : public osg::Geode
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/draw3D/visual_draw3D.h
===================================================================
--- osgVisual/include/draw3D/visual_draw3D.h	(revision 87)
+++ osgVisual/include/draw3D/visual_draw3D.h	(revision 88)
@@ -28,4 +28,5 @@
 class visual_draw3D : public osg::Node
 {
+	#include <leakDetection.h>
 public:
 	visual_draw3D(void);
Index: osgVisual/include/extLink/dataIO_extLink.h
===================================================================
--- osgVisual/include/extLink/dataIO_extLink.h	(revision 87)
+++ osgVisual/include/extLink/dataIO_extLink.h	(revision 88)
@@ -35,4 +35,5 @@
 class dataIO_extLink : public osg::Referenced
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/extLink/dataIO_extLinkVCL.h
===================================================================
--- osgVisual/include/extLink/dataIO_extLinkVCL.h	(revision 87)
+++ osgVisual/include/extLink/dataIO_extLinkVCL.h	(revision 88)
@@ -66,4 +66,5 @@
 class dataIO_extLinkVCL :	public dataIO_extLink
 {
+#include <leakDetection.h>
 public:
 	dataIO_extLinkVCL(std::vector<dataIO_slot>& dataSlots_);
Index: osgVisual/include/extLink/manip_extLink.h
===================================================================
--- osgVisual/include/extLink/manip_extLink.h	(revision 87)
+++ osgVisual/include/extLink/manip_extLink.h	(revision 88)
@@ -31,4 +31,5 @@
 class extLinkManipulator : public osgGA::CameraManipulator
 {
+	#include <leakDetection.h>
     public:
 		/**
Index: osgVisual/include/manip_ObjectMounted/manip_objectMounted.h
===================================================================
--- osgVisual/include/manip_ObjectMounted/manip_objectMounted.h	(revision 87)
+++ osgVisual/include/manip_ObjectMounted/manip_objectMounted.h	(revision 88)
@@ -35,4 +35,5 @@
 class objectMountedManipulator : public osgGA::CameraManipulator
 {
+	#include <leakDetection.h>
     public:
 		/**
Index: osgVisual/include/manip_Spacemouse/manip_freeSpaceMouse.h
===================================================================
--- osgVisual/include/manip_Spacemouse/manip_freeSpaceMouse.h	(revision 87)
+++ osgVisual/include/manip_Spacemouse/manip_freeSpaceMouse.h	(revision 88)
@@ -41,4 +41,5 @@
 class FreeManipulator : public osgGA::CameraManipulator
 {
+	#include <leakDetection.h>
     public:
 		/**
Index: osgVisual/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h
===================================================================
--- osgVisual/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h	(revision 87)
+++ osgVisual/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h	(revision 88)
@@ -51,4 +51,5 @@
 class NodeTrackerSpaceMouse : public osgGA::OrbitManipulator
 {
+	#include <leakDetection.h>
     public:
 		/**
Index: osgVisual/include/object/object_updater.h
===================================================================
--- osgVisual/include/object/object_updater.h	(revision 87)
+++ osgVisual/include/object/object_updater.h	(revision 88)
@@ -40,4 +40,5 @@
 class object_updater : public osg::Node
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/object/visual_object.h
===================================================================
--- osgVisual/include/object/visual_object.h	(revision 87)
+++ osgVisual/include/object/visual_object.h	(revision 88)
@@ -68,4 +68,5 @@
 class visual_object  : public osg::MatrixTransform
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/sky_Silverlining/skySilverLining_AtmosphereReference.h
===================================================================
--- osgVisual/include/sky_Silverlining/skySilverLining_AtmosphereReference.h	(revision 87)
+++ osgVisual/include/sky_Silverlining/skySilverLining_AtmosphereReference.h	(revision 88)
@@ -37,4 +37,5 @@
 class skySilverLining_atmosphereReference : public osg::Referenced
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h
===================================================================
--- osgVisual/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h	(revision 87)
+++ osgVisual/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h	(revision 88)
@@ -42,4 +42,5 @@
 class skySilverLining_projectionMatrixCallback : public osg::CullSettings::ClampProjectionMatrixCallback 
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/sky_Silverlining/skySilverLining_cloudsDrawable.h
===================================================================
--- osgVisual/include/sky_Silverlining/skySilverLining_cloudsDrawable.h	(revision 87)
+++ osgVisual/include/sky_Silverlining/skySilverLining_cloudsDrawable.h	(revision 88)
@@ -37,4 +37,5 @@
 class skySilverLining_cloudsDrawable : public osg::Drawable
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/sky_Silverlining/skySilverLining_skyDrawable.h
===================================================================
--- osgVisual/include/sky_Silverlining/skySilverLining_skyDrawable.h	(revision 87)
+++ osgVisual/include/sky_Silverlining/skySilverLining_skyDrawable.h	(revision 88)
@@ -41,4 +41,5 @@
 class skySilverLining_skyDrawable : public osg::Drawable
 {
+	#include <leakDetection.h>
 public:
 	skySilverLining_skyDrawable();
Index: osgVisual/include/sky_Silverlining/skySilverlining_cloudLayerSlot.h
===================================================================
--- osgVisual/include/sky_Silverlining/skySilverlining_cloudLayerSlot.h	(revision 87)
+++ osgVisual/include/sky_Silverlining/skySilverlining_cloudLayerSlot.h	(revision 88)
@@ -34,4 +34,5 @@
 class cloudLayerSlot
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/sky_Silverlining/visual_skySilverLining.h
===================================================================
--- osgVisual/include/sky_Silverlining/visual_skySilverLining.h	(revision 87)
+++ osgVisual/include/sky_Silverlining/visual_skySilverLining.h	(revision 88)
@@ -56,4 +56,5 @@
 class visual_skySilverLining : public osg::Geode
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/include/util/visual_util.h
===================================================================
--- osgVisual/include/util/visual_util.h	(revision 87)
+++ osgVisual/include/util/visual_util.h	(revision 88)
@@ -55,4 +55,5 @@
 class util
 {
+	#include <leakDetection.h>
 public:
 	/**
Index: osgVisual/src/cluster/dataIO_clusterENet.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 87)
+++ osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 88)
@@ -22,5 +22,4 @@
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "clusterENet constructed" << std::endl;
-	#include <leakDetection.h>
 
 	serverToConnect = "unknown";
Index: osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp	(revision 87)
+++ osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp	(revision 88)
@@ -25,5 +25,5 @@
 {
 	std::cout << "Instantiated server class# "<< activeENetInstances << std::endl;
-	#include <leakDetection.h>
+
 	enetInitialized = false;
 	host = NULL;
Index: osgVisual/src/core/osgVisual.cpp
===================================================================
--- osgVisual/src/core/osgVisual.cpp	(revision 87)
+++ osgVisual/src/core/osgVisual.cpp	(revision 88)
@@ -26,4 +26,5 @@
 #endif 
 
+
 //#include <windows.h>
 
@@ -42,6 +43,5 @@
 #ifdef _DEBUG
 	#ifdef WIN32
-		#include <leakDetection.h>	// ugly but must be included inside the class
-
+		#include <leakDetection.h>	// for main: must be inside function. In classes: headerfile inside calss is sufficient
 		int tmp_flag;
 
@@ -55,5 +55,5 @@
 			_CRTDBG_MODE_DEBUG);
 
-		// output to the file if not under VS
+		// output to the file
 		_CrtSetReportFile(_CRT_ASSERT, log_file);
 		_CrtSetReportFile(_CRT_WARN, log_file);
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 87)
+++ osgVisual/src/core/visual_core.cpp	(revision 88)
@@ -23,5 +23,4 @@
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "visual_core instantiated." << std::endl;
-	#include <leakDetection.h>
 }
 
@@ -49,5 +48,5 @@
 
 	// Test memory leak (todo)
-	//double* test = new double[1000];
+	double* test = new double[1000];
 
 	#ifdef USE_SPACENAVIGATOR
Index: osgVisual/src/dataIO/visual_dataIO.cpp
===================================================================
--- osgVisual/src/dataIO/visual_dataIO.cpp	(revision 87)
+++ osgVisual/src/dataIO/visual_dataIO.cpp	(revision 88)
@@ -22,5 +22,5 @@
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "visual_dataIO constructed" << std::endl;
-	#include <leakDetection.h>
+
 	initialized = false;
 }
Index: osgVisual/src/distortion/visual_distortion.cpp
===================================================================
--- osgVisual/src/distortion/visual_distortion.cpp	(revision 87)
+++ osgVisual/src/distortion/visual_distortion.cpp	(revision 88)
@@ -22,5 +22,4 @@
 {
 	OSG_NOTIFY (osg::ALWAYS ) << "visual_distortion instantiated." << std::endl;
-	#include <leakDetection.h>
 
 	initialized = false;
Index: osgVisual/src/draw2D/visual_debug_hud.cpp
===================================================================
--- osgVisual/src/draw2D/visual_debug_hud.cpp	(revision 87)
+++ osgVisual/src/draw2D/visual_debug_hud.cpp	(revision 88)
@@ -21,5 +21,4 @@
 visual_debug_hud::visual_debug_hud(void)
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/draw2D/visual_draw2D.cpp
===================================================================
--- osgVisual/src/draw2D/visual_draw2D.cpp	(revision 87)
+++ osgVisual/src/draw2D/visual_draw2D.cpp	(revision 88)
@@ -22,5 +22,4 @@
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "visual_draw2D constructed" << std::endl;
-	#include <leakDetection.h>
 	initialized = false;
 }
Index: osgVisual/src/draw2D/visual_hud.cpp
===================================================================
--- osgVisual/src/draw2D/visual_hud.cpp	(revision 87)
+++ osgVisual/src/draw2D/visual_hud.cpp	(revision 88)
@@ -21,5 +21,4 @@
 visual_hud::visual_hud(void)
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/draw3D/visual_draw3D.cpp
===================================================================
--- osgVisual/src/draw3D/visual_draw3D.cpp	(revision 87)
+++ osgVisual/src/draw3D/visual_draw3D.cpp	(revision 88)
@@ -21,5 +21,4 @@
 visual_draw3D::visual_draw3D(void)
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/extLink/dataIO_extLinkVCL.cpp
===================================================================
--- osgVisual/src/extLink/dataIO_extLinkVCL.cpp	(revision 87)
+++ osgVisual/src/extLink/dataIO_extLinkVCL.cpp	(revision 88)
@@ -24,5 +24,4 @@
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "extLinkVCL constructed" << std::endl;
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/extLink/manip_extLink.cpp
===================================================================
--- osgVisual/src/extLink/manip_extLink.cpp	(revision 87)
+++ osgVisual/src/extLink/manip_extLink.cpp	(revision 88)
@@ -24,5 +24,4 @@
 extLinkManipulator::extLinkManipulator()
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/manip_ObjectMounted/manip_objectMounted.cpp
===================================================================
--- osgVisual/src/manip_ObjectMounted/manip_objectMounted.cpp	(revision 87)
+++ osgVisual/src/manip_ObjectMounted/manip_objectMounted.cpp	(revision 88)
@@ -25,5 +25,4 @@
 objectMountedManipulator::objectMountedManipulator()
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/manip_Spacemouse/manip_freeSpaceMouse.cpp
===================================================================
--- osgVisual/src/manip_Spacemouse/manip_freeSpaceMouse.cpp	(revision 87)
+++ osgVisual/src/manip_Spacemouse/manip_freeSpaceMouse.cpp	(revision 88)
@@ -25,5 +25,4 @@
 FreeManipulator::FreeManipulator(SpaceMouse* spacemouse) : _spaceMouse(spacemouse)
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/manip_Spacemouse/manip_nodeTrackerSpaceMouse.cpp
===================================================================
--- osgVisual/src/manip_Spacemouse/manip_nodeTrackerSpaceMouse.cpp	(revision 87)
+++ osgVisual/src/manip_Spacemouse/manip_nodeTrackerSpaceMouse.cpp	(revision 88)
@@ -25,5 +25,4 @@
 NodeTrackerSpaceMouse::NodeTrackerSpaceMouse(SpaceMouse* spacemouse) : _spaceMouse(spacemouse)
 {
-	#include <leakDetection.h>
     _trackerMode = NODE_CENTER_AND_ROTATION; 
     _rotationMode = TRACKBALL; 
Index: osgVisual/src/manip_Spacemouse/manip_spaceMouse.cpp
===================================================================
--- osgVisual/src/manip_Spacemouse/manip_spaceMouse.cpp	(revision 87)
+++ osgVisual/src/manip_Spacemouse/manip_spaceMouse.cpp	(revision 88)
@@ -168,5 +168,4 @@
 SpaceMouse::SpaceMouse() : _spaceMouseImpl(new SpaceMouseImpl)
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/object/object_updater.cpp
===================================================================
--- osgVisual/src/object/object_updater.cpp	(revision 87)
+++ osgVisual/src/object/object_updater.cpp	(revision 88)
@@ -21,5 +21,4 @@
 object_updater::object_updater(osgVisual::visual_object* object_ )
 {
-	#include <leakDetection.h>
 }
 
Index: osgVisual/src/object/visual_object.cpp
===================================================================
--- osgVisual/src/object/visual_object.cpp	(revision 87)
+++ osgVisual/src/object/visual_object.cpp	(revision 88)
@@ -21,6 +21,4 @@
 visual_object::visual_object( osg::CoordinateSystemNode* sceneRoot_, std::string nodeName_)
 {
-	#include <leakDetection.h>
-
 	// Add this node to Scenegraph
 	sceneRoot_->addChild( this );
Index: osgVisual/src/sky_Silverlining/skySilverLining_cloudsDrawable.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/skySilverLining_cloudsDrawable.cpp	(revision 87)
+++ osgVisual/src/sky_Silverlining/skySilverLining_cloudsDrawable.cpp	(revision 88)
@@ -33,5 +33,4 @@
         : osg::Drawable()
 {
-	#include <leakDetection.h>
     setDataVariance(osg::Object::DYNAMIC);
     setUseVertexBufferObjects(false);
Index: osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp	(revision 87)
+++ osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp	(revision 88)
@@ -36,6 +36,4 @@
 		, _skyboxSize(0)
 {
-	#include <leakDetection.h>
-	
     setDataVariance(osg::Object::DYNAMIC);
     setUseVertexBufferObjects(false);
Index: osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 87)
+++ osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 88)
@@ -22,5 +22,4 @@
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "Initialize visual_skySilverlining..." << std::endl;
-	#include <leakDetection.h>
 
 	atmosphereInitialized = false;