Index: osgVisual/resources/osgVisual.svg
===================================================================
--- osgVisual/resources/osgVisual.svg	(revision 107)
+++ osgVisual/resources/osgVisual.svg	(revision 108)
@@ -16,5 +16,8 @@
    version="1.1"
    inkscape:version="0.47 r22583"
-   sodipodi:docname="osgVisual.svg">
+   sodipodi:docname="osgVisual.svg"
+   inkscape:export-filename="D:\osgVisual\osgVisual\resources\osgVisual.png"
+   inkscape:export-xdpi="90.092026"
+   inkscape:export-ydpi="90.092026">
   <defs
      id="defs4">
@@ -95,10 +98,10 @@
        xlink:href="#linearGradient3745"
        id="linearGradient3751"
-       x1="68.278271"
-       y1="516.02402"
-       x2="291.41207"
-       y2="516.02402"
+       x1="68.278275"
+       y1="516.02405"
+       x2="291.41208"
+       y2="516.02405"
        gradientUnits="userSpaceOnUse"
-       gradientTransform="matrix(1.7056133,0,0,1.9461714,-29.808136,-447.71593)" />
+       gradientTransform="matrix(1.7056133,0,0,1.9511538,-29.808136,-449.70289)" />
     <radialGradient
        inkscape:collect="always"
@@ -134,15 +137,15 @@
      inkscape:pageopacity="0.0"
      inkscape:pageshadow="2"
-     inkscape:zoom="0.89"
-     inkscape:cx="322.6029"
-     inkscape:cy="424.40648"
+     inkscape:zoom="0.68"
+     inkscape:cx="338.28255"
+     inkscape:cy="553.76555"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
      showgrid="false"
      inkscape:object-nodes="true"
-     inkscape:window-width="1600"
-     inkscape:window-height="850"
-     inkscape:window-x="-32000"
-     inkscape:window-y="-32000"
+     inkscape:window-width="1680"
+     inkscape:window-height="988"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
      inkscape:window-maximized="1"
      inkscape:object-paths="true" />
@@ -170,7 +173,7 @@
        x="16.853933"
        y="383.82285"
-       inkscape:export-filename="D:\EigeneDateien\Dokumente\osgVisual.png"
-       inkscape:export-xdpi="90"
-       inkscape:export-ydpi="90" />
+       inkscape:export-filename="D:\osgVisual\osgVisual\resources\osgVisual_100.png"
+       inkscape:export-xdpi="17.035583"
+       inkscape:export-ydpi="17.035583" />
     <a
        id="a3672"
@@ -178,5 +181,6 @@
        inkscape:export-filename="D:\EigeneDateien\Dokumente\osgVisual.png"
        inkscape:export-xdpi="90"
-       inkscape:export-ydpi="90">
+       inkscape:export-ydpi="90"
+       style="stroke-width:2.74434795;stroke-miterlimit:4;stroke-dasharray:none">
       <path
          d="m 292.31725,520.08673 c 0,25.90204 -50.32795,46.8998 -112.41062,46.8998 -62.08267,0 -112.41062,-20.99776 -112.41062,-46.8998 0,-25.90204 50.32795,-46.89979 112.41062,-46.89979 62.08267,0 112.41062,20.99775 112.41062,46.89979 z"
@@ -186,5 +190,5 @@
          sodipodi:cx="179.90663"
          id="path2836"
-         style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+         style="fill:none;stroke:#000000;stroke-width:2.74434795;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
          sodipodi:type="arc" />
     </a>
@@ -212,5 +216,5 @@
        transform="matrix(1.7056133,0,0,1.9461714,-29.626561,-271.13058)"
        sodipodi:type="arc"
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:2.74434794999999990;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        id="path2836-1"
        sodipodi:cx="179.90663"
@@ -243,5 +247,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.82192636px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:5;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="m 85.313954,561.56438 0.181574,176.58535"
        id="path3648"
@@ -250,5 +254,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.82192636px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:5;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="m 468.4547,561.44712 0.18158,176.58535"
        id="path3648-0"
@@ -265,5 +269,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.82192636px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:3;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="M 116.76758,634.14209 C 261.4708,483.7255 166.35398,545.1926 306.05964,595.91383"
        id="path3691"
@@ -272,5 +276,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.87412918px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:3;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="m 85.90203,631.27497 c 11.546371,1.39455 28.67241,-1.21531 35.45042,-1.91141"
        id="path3699"
@@ -279,5 +283,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.82192636px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:3;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="m 293.26144,607.4433 c 56.77894,-55.38741 98.04395,-48.11105 134.08336,16.99938"
        id="path3705"
@@ -286,5 +290,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.82192636;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       style="fill:none;stroke:#000000;stroke-width:3;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
        d="m 413.11538,602.14363 c 39.50671,-37.53494 15.55853,2.25608 53.93167,42.93221"
        id="path3711"
@@ -293,5 +297,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1.82192636px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:3;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="m 211.94823,537.90041 c 43.98641,-8.55169 70.42339,35.10146 109.02738,45.58924"
        id="path3713"
@@ -308,5 +312,5 @@
     <path
        style="fill:url(#linearGradient3751);fill-opacity:1;stroke:none"
-       d="m 458.5364,632.16091 c -5.96765,-9.03666 -9.27291,-15.86922 -13.0395,-26.95496 -5.74974,-16.92259 -7.27423,-19.46658 -11.65206,-19.44444 -2.52605,0.0136 -7.98529,3.36869 -14.24182,8.7547 -3.28798,2.83049 -6.12524,5.14634 -6.30504,5.14634 -0.17981,0 -2.78024,-2.79932 -5.77872,-6.2207 -10.91685,-12.45657 -21.82447,-19.77346 -34.08165,-22.86217 -7.64794,-1.92721 -19.62028,-1.59591 -27.58495,0.76335 -6.34618,1.87983 -17.56356,6.86533 -21.90729,9.73658 -2.0611,1.3624 -2.18145,1.34634 -9.00588,-1.20137 -8.98082,-3.35275 -16.76857,-7.85189 -35.34832,-20.42141 -23.62242,-15.98097 -33.72242,-20.92897 -47.3679,-23.2056 -5.95788,-0.99403 -20.22863,-0.51751 -20.92697,0.69877 -0.21119,0.36783 -2.00249,1.27663 -3.98066,2.01956 -6.07383,2.28113 -10.27673,6.43451 -46.22477,45.68013 -11.70586,12.77965 -25.57458,27.76931 -30.8194,33.31035 l -9.53604,10.07465 -9.08665,0.89501 c -15.488646,1.52558 -16.31872,1.5697 -20.718145,1.10093 l -4.282447,-0.4563 0,-34.88372 c 0,-38.27528 0.112145,-39.59336 4.13784,-48.63272 10.757512,-24.15512 43.858092,-46.00131 88.975612,-58.72341 53.82284,-15.17679 121.0494,-16.78361 177.76203,-4.2488 32.54863,7.19402 62.26289,19.75303 81.50717,34.44984 8.16431,6.23505 19.37309,18.68266 22.77214,25.289 1.2993,2.52533 3.04366,6.87175 3.87634,9.65873 1.48515,4.97083 1.51428,5.7882 1.53144,42.97105 l 0.0174,37.90383 -2.28314,2.52502 -2.28313,2.525 -4.12557,-6.24724 1e-5,0 z"
+       d="m 458.5364,632.93857 c -5.96765,-9.05978 -9.27291,-15.90984 -13.0395,-27.02397 -5.74974,-16.96591 -7.27423,-19.51641 -11.65206,-19.49421 -2.52605,0.0136 -7.98529,3.37731 -14.24182,8.77712 -3.28798,2.83773 -6.12524,5.15951 -6.30504,5.15951 -0.17981,0 -2.78024,-2.80648 -5.77872,-6.23663 -10.91685,-12.48847 -21.82447,-19.82407 -34.08165,-22.92069 -7.64794,-1.93215 -19.62028,-1.6 -27.58495,0.7653 -6.34618,1.88464 -17.56356,6.88289 -21.90729,9.7615 -2.0611,1.36588 -2.18145,1.34978 -9.00588,-1.20445 -8.98082,-3.36132 -16.76857,-7.87198 -35.34832,-20.47369 -23.62242,-16.02188 -33.72242,-20.98255 -47.3679,-23.26501 -5.95788,-0.99657 -20.22863,-0.51883 -20.92697,0.70056 -0.21119,0.36877 -2.00249,1.2799 -3.98066,2.02473 -6.07383,2.28698 -10.27673,6.45099 -46.22477,45.79708 -11.70586,12.81238 -25.57458,27.8404 -30.8194,33.39563 l -9.53604,10.10043 -9.08665,0.89731 c -15.488646,1.52948 -16.31872,1.57372 -20.718145,1.10375 l -4.282447,-0.45747 0,-34.97302 c 0,-38.37328 0.112145,-39.69473 4.13784,-48.75722 10.757512,-24.21696 43.858092,-46.11908 88.975612,-58.87376 53.82284,-15.21564 121.0494,-16.82657 177.76203,-4.25968 32.54863,7.21244 62.26289,19.80359 81.50717,34.53804 8.16431,6.25102 19.37309,18.73049 22.77214,25.35375 1.2993,2.53179 3.04366,6.88934 3.87634,9.68344 1.48515,4.98356 1.51428,5.80302 1.53144,43.08108 l 0.0174,38.00086 -2.28314,2.53148 -2.28313,2.53147 -4.12557,-6.26324 1e-5,0 z"
        id="path3743"
        inkscape:export-filename="D:\EigeneDateien\Dokumente\osgVisual.png"
@@ -321,5 +325,5 @@
        inkscape:export-ydpi="90" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1.82192636px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       style="fill:none;stroke:#000000;stroke-width:3;stroke-linecap:round;stroke-linejoin:round;stroke-opacity:1;stroke-miterlimit:4;stroke-dasharray:none"
        d="m 437.50822,587.00891 c 13.29764,4.18314 21.96163,19.42388 31.00411,30.4787"
        id="path3767"