Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 129)
+++ osgVisual/src/core/visual_core.cpp	(revision 130)
@@ -408,5 +408,5 @@
 void visual_core::setupScenery()
 {
-	// iterate manually through one frame to allow some modules like Sky_Silverlining to initialize properly befor we configure it according to the scenery data.
+	// iterate manually through one frame to allow some modules like Sky_Silverlining to initialize properly before we configure it according to the scenery data.
 	viewer->advance();
 	viewer->eventTraversal();
@@ -419,8 +419,9 @@
 	//addWindVolume( 0.0, 15000.0, 300.0, 90.0 );
 	
-	sky->addCloudLayer( 0, 300000, 300000, 600.0, 2351.0, 0.5, STRATUS );
-	//sky->addCloudLayer( 0, 5000000, 5000000, 600.0, 7351.0, 0.2, CIRRUS_FIBRATUS );
-	//sky->addCloudLayer( 0, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
-	///sky->addCloudLayer( 1, 200000, 200000, 3000, 2000.0, 0.05, CUMULUS_CONGESTUS );
+	//sky->addCloudLayer( 0, 20000, 20000, 600.0, 0.0, 0.5, CUMULONIMBUS_CAPPILATUS );
+	//sky->addCloudLayer( 1, 5000000, 5000000, 600.0, 7351.0, 0.2, CIRRUS_FIBRATUS );
+	sky->addCloudLayer( 2, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
+	sky->addCloudLayer( 3, 100000, 100000, 1300.0, 100.0, 0.07, CUMULUS_CONGESTUS );
+	sky->addCloudLayer( 0, 10000, 10000, 1300.0, 4000.0, 0.90, STRATOCUMULUS );
 	//cloudLayerSlots[1].cloudLayerPointer->SetPrecipitation(SilverLining::CloudLayer::SLEET, 25.0 );
 
Index: osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 129)
+++ osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 130)
@@ -361,5 +361,6 @@
 		{
 			// go through all wind volumes an check them for inside()
-			std::map<int, SilverLining::WindVolume> windvolumes = atmosphere->GetConditions()->GetWindVolumes();
+			//std::map<int, SilverLining::WindVolume> windvolumes = atmosphere->GetConditions()->GetWindVolumes();
+			SL_MAP(int, SilverLining::WindVolume) windvolumes = atmosphere->GetConditions()->GetWindVolumes();
 			for(unsigned int i=0; i<windvolumes.size(); i++)
 			{
@@ -435,9 +436,11 @@
 		if ( util::calculateEarthRadiusAtWGS84Coordinate(lat, lon, sceneRoot, radius) )
 		{
+			OSG_NOTIFY(osg::ALWAYS) << "radius:" << radius << std::endl;
 			// generate Cloud Layer
 			SilverLining::CloudLayer *cloudLayer_;
 			cloudLayer_ = SilverLining::CloudLayerFactory::Create(cloudtype_);
-			cloudLayer_->SetBaseAltitude( baseHeight_ + radius);
-			
+			cloudLayer_->SetBaseAltitude( baseHeight_ + radius); // todo
+			//cloudLayer_->SetBaseAltitude( radius - 10000); // todo
+						
 			cloudLayer_->SetThickness(thickness_);
 			cloudLayer_->SetBaseLength(baseLength_);
@@ -457,5 +460,5 @@
 			case 1: cloudLayerSlots[slot_].typeName = "CIRRUS_FIBRATUS";			// High, thicker and fibrous clouds that signal changing weather
     			break;
-			case 2: cloudLayerSlots[slot_].typeName = "NIMBOSTRATUS";               // Low rain clouds that cover the sky
+			case 2: cloudLayerSlots[slot_].typeName = "STRATUS";					// Low clouds represented as a slab
     			break;
 			case 3: cloudLayerSlots[slot_].typeName = "CUMULUS_MEDIOCRIS";          // Low, puffy clouds on fair days
@@ -465,7 +468,5 @@
 			case 5: cloudLayerSlots[slot_].typeName = "CUMULONIMBUS_CAPPILATUS";    // Big storm clouds.
     			break;
-			case 6: cloudLayerSlots[slot_].typeName = "CUMULUS_CONGESTUS_INFINITE"; // Cumulus congestus layer that wraps to surround the camera at all times. 
-    			break;
-			case 7: cloudLayerSlots[slot_].typeName = "CUMULUS_MEDIOCRIS_INFINITE"; // Cumulus mediocris layer that wraps to surround the camera at all times. 
+			case 6: cloudLayerSlots[slot_].typeName = "STRATOCUMULUS";				// Low, dense, puffy clouds with some sun breaks between them.
 				break;
 			default: OSG_NOTIFY( osg::FATAL ) << "visual_skySilverlining::addCloudLayer - Invalid cloud type." << std::cout;
@@ -617,6 +618,6 @@
 				{
 					hasPrecipitation = true;
-					std::map<int, double> precipitationMap = cloudLayerSlots[i].cloudLayerPointer->GetPrecipitation();
-					for( std::map<int, double>::iterator it = precipitationMap.begin(); it != precipitationMap.end(); it++ )
+					SL_MAP (int, double) precipitationMap = cloudLayerSlots[i].cloudLayerPointer->GetPrecipitation();
+					for( SL_MAP (int, double)::iterator it = precipitationMap.begin(); it != precipitationMap.end(); it++ )
 					{
 						switch(it->first)
@@ -673,6 +674,6 @@
 			if( cloudLayerSlots[slot_].cloudLayerPointer->HasPrecipitationAtPosition(x, y, z) )
 			{
-				std::map<int, double> precipitationMap = cloudLayerSlots[slot_].cloudLayerPointer->GetPrecipitation();
-				for( std::map<int, double>::iterator it = precipitationMap.begin(); it != precipitationMap.end(); it++ )
+				SL_MAP (int, double) precipitationMap = cloudLayerSlots[slot_].cloudLayerPointer->GetPrecipitation();
+				for( SL_MAP (int, double)::iterator it = precipitationMap.begin(); it != precipitationMap.end(); it++ )
 				{
 					switch(it->first)
@@ -715,6 +716,6 @@
 			// Check for precipitation
 
-				std::map<int, double> precipitationMap = cloudLayerSlots[slot_].cloudLayerPointer->GetPrecipitation();
-				for( std::map<int, double>::iterator it = precipitationMap.begin(); it != precipitationMap.end(); it++ )
+				SL_MAP (int, double) precipitationMap = cloudLayerSlots[slot_].cloudLayerPointer->GetPrecipitation();
+				for( SL_MAP (int, double)::iterator it = precipitationMap.begin(); it != precipitationMap.end(); it++ )
 				{
 					switch(it->first)
Index: osgVisual/src/util/visual_util.cpp
===================================================================
--- osgVisual/src/util/visual_util.cpp	(revision 129)
+++ osgVisual/src/util/visual_util.cpp	(revision 130)
@@ -206,5 +206,5 @@
 	else
 	{
-		OSG_NOTIFY( osg::FATAL ) << "util::calculateEarthRadiusAtWGS84Coordinate() :: Unablöe to calculate Earth Radius!" << std::endl;
+		OSG_NOTIFY( osg::FATAL ) << "util::calculateEarthRadiusAtWGS84Coordinate() :: Unable to calculate Earth Radius!" << std::endl;
 		return false;
 	}