Index: osgVisual/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h
===================================================================
--- osgVisual/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h	(revision 132)
+++ osgVisual/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h	(revision 133)
@@ -149,6 +149,5 @@
 
 		// Retrieve all atmosphere objects.
-        //std::vector<SilverLining::ObjectHandle> &objects = atmosphere->GetObjects();	//todo
-		SL_VECTOR(SilverLining::ObjectHandle) &objects = atmosphere->GetObjects();
+ 		SL_VECTOR(SilverLining::ObjectHandle) &objects = atmosphere->GetObjects();
 		int size = objects.size();
 		
@@ -165,4 +164,5 @@
 		// Calculations if atmopshere is rendered from space
 		bool hasLimb = atmosphere->GetConfigOptionBoolean("enable-atmosphere-from-space");
+		OSG_ALWAYS << "has limb " << hasLimb << std::endl;
 		if (hasLimb)
 		{
@@ -181,6 +181,4 @@
 
 		// Walk through all objects and check if they influence the near plane or far plane
-        //std::vector<SilverLining::ObjectHandle>::iterator it;	// todo
-        //for (it = objects.begin(); it != objects.end(); it++)	// todo
 		SL_VECTOR(SilverLining::ObjectHandle)::iterator it;
         for (it = objects.begin(); it != objects.end(); it++)
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 132)
+++ osgVisual/src/core/visual_core.cpp	(revision 133)
@@ -419,9 +419,9 @@
 	//addWindVolume( 0.0, 15000.0, 300.0, 90.0 );
 	
-	//sky->addCloudLayer( 0, 20000, 20000, 600.0, 0.0, 0.5, CUMULONIMBUS_CAPPILATUS );
+	sky->addCloudLayer( 0, 20000, 20000, 600.0, 1000.0, 0.5, CUMULONIMBUS_CAPPILATUS );
 	//sky->addCloudLayer( 1, 5000000, 5000000, 600.0, 7351.0, 0.2, CIRRUS_FIBRATUS );
-	sky->addCloudLayer( 2, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
-	sky->addCloudLayer( 3, 100000, 100000, 1300.0, 100.0, 0.07, CUMULUS_CONGESTUS );
-	sky->addCloudLayer( 0, 10000, 10000, 1300.0, 4000.0, 0.90, STRATOCUMULUS );
+	//sky->addCloudLayer( 2, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
+	//sky->addCloudLayer( 3, 100000, 100000, 1300.0, 100.0, 0.07, CUMULUS_CONGESTUS );
+	sky->addCloudLayer( 1, 10000, 10000, 600.0, 1000.0, 0.90, STRATOCUMULUS );
 	//cloudLayerSlots[1].cloudLayerPointer->SetPrecipitation(SilverLining::CloudLayer::SLEET, 25.0 );
 
Index: osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp	(revision 132)
+++ osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp	(revision 133)
@@ -146,4 +146,5 @@
 		if (atmosphere)
         {
+
 			srand(1234); // constant random seed to ensure consistent clouds across windows
 
@@ -165,4 +166,11 @@
 			atmosphere->SetRightVector(-0.201185, 0.979553, 0.0);
 
+			/** \todo  :not working!! what is wrong? */
+			// override the some options of the configuration file with the required settings to make silverlining upgrades easier
+			OSG_ALWAYS << "atmosphere from space before : " << atmosphere->GetConfigOptionBoolean("enable-atmosphere-from-space") << std::endl;
+			atmosphere->SetConfigOption("enable-atmosphere-from-space", "yes");
+			atmosphere->SetConfigOption("draw-sun-below-horizon", "yes");
+			OSG_ALWAYS << "atmosphere from space after: " << atmosphere->GetConfigOptionBoolean("enable-atmosphere-from-space") << std::endl;
+
             // Set our location (change this to your own latitude and longitude)
             SilverLining::Location loc;
@@ -172,5 +180,5 @@
             atmosphere->GetConditions()->SetLocation(loc);
 
-            // Set the sstem time in PST
+            // Set the system time in PST
             SilverLining::LocalTime t;
             t.SetFromSystemTime();
@@ -184,4 +192,5 @@
 			atmosphere->GetConditions()->SetTurbidity(2.2);
 
+			// Setting up time passage
 			atmosphere->GetConditions()->EnableTimePassage( true, 5000 );
 			
@@ -234,7 +243,4 @@
 			cloudLayerSlots.back()->cloudLayerPointer->SeedClouds(*atmosphere);
 
-			//cloudLayerSlots.back()->cloudLayerPointer->SetEnabled( false );	// Todo: testing, please remove
-			//cloudLayerSlots.back()->cloudLayerPointer->SetEnabled( true, 30000);	// Todo: testing, please remove
-
 			// add cloudLayer to atmosphere
 			cloudLayerSlots.back()->cloudLayerHandle = atmosphere->GetConditions()->AddCloudLayer( cloudLayerSlots.back()->cloudLayerPointer );
Index: osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 132)
+++ osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 133)
@@ -440,6 +440,5 @@
 			SilverLining::CloudLayer *cloudLayer_;
 			cloudLayer_ = SilverLining::CloudLayerFactory::Create(cloudtype_);
-			cloudLayer_->SetBaseAltitude( baseHeight_ + radius); // todo
-			//cloudLayer_->SetBaseAltitude( radius - 10000); // todo
+			cloudLayer_->SetBaseAltitude( baseHeight_ + radius);
 						
 			cloudLayer_->SetThickness(thickness_);